Jump to content
Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

Template:Button/styles.css: Difference between revisions

Template page
// via Wikitext Extension for VSCode
No edit summary
 
(4 intermediate revisions by the same user not shown)
Line 1: Line 1:
.teriock-button-container {
    padding: 0;
    margin: 0;
    border-radius: var( --border-radius-medium );
}
.teriock-button-container * {
    user-select: none;
    text-decoration: none;
    color: var( --color-emphasized );
}
.teriock-button {
.teriock-button {
     border-radius: var( --border-radius--medium );
     border-radius: var( --border-radius-medium );
     padding: 0.5em;
     padding: 0.5em;
     padding-left: 1em;
     padding-left: 1em;
Line 7: Line 19:
     background-color: var( --color-surface-1 );
     background-color: var( --color-surface-1 );
     border: 1px solid var( --border-color-base );
     border: 1px solid var( --border-color-base );
}
.teriock-button, .teriock-button * {
    user-select: none;
    text-decoration: none;
}
}



Latest revision as of 21:06, 5 August 2026

.teriock-button-container {
    padding: 0;
    margin: 0;
    border-radius: var( --border-radius-medium );
}

.teriock-button-container * {
    user-select: none;
    text-decoration: none;
    color: var( --color-emphasized );
}

.teriock-button {
    border-radius: var( --border-radius-medium );
    padding: 0.5em;
    padding-left: 1em;
    padding-right: 1em;
    transition: 100ms;
    background-color: var( --color-surface-1 );
    border: 1px solid var( --border-color-base );
}

.teriock-button:hover {
    box-shadow: var( --box-shadow-card );
}

.teriock-button:active {
    background-color: var( --color-surface-2 );
}